
From: Anton Blanchard <anton@samba.org>

Add in compat_clock* syscalls, from Olaf Hering.



 25-akpm/arch/ppc64/kernel/misc.S |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/ppc64/kernel/misc.S~ppc64-compat_clock arch/ppc64/kernel/misc.S
--- 25/arch/ppc64/kernel/misc.S~ppc64-compat_clock	Wed Nov 19 11:46:38 2003
+++ 25-akpm/arch/ppc64/kernel/misc.S	Wed Nov 19 11:46:38 2003
@@ -843,11 +843,11 @@ _GLOBAL(sys_call_table32)
 	.llong .sys_ni_syscall
 	.llong .sys_ni_syscall
 	.llong .sys_ni_syscall
-	.llong .sys_ni_syscall		/* 245 */
-	.llong .sys_ni_syscall
-	.llong .sys_ni_syscall
-	.llong .sys_ni_syscall
-	.llong .sys_ni_syscall
+	.llong .compat_clock_settime	/* 245 */
+	.llong .compat_clock_gettime
+	.llong .compat_clock_getres
+	.llong .compat_clock_nanosleep
+	.llong .sys_ni_syscall		/* 249 swapcontext */
 	.llong .sys32_tgkill		/* 250 */
 	.llong .sys32_utimes
 	.llong .compat_statfs64

_
